Subject: RE: Yaron.Redirect.S10

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 25 Feb 2000 09:58:50 -0500

> -----Original Message-----
> From: Yaron Goland [mailto:[email-masked]]
> Sent: Friday, February 25, 2000 1:45 AM
> To: 'Clemm, Geoff'; [email-masked]
> Subject: RE: Yaron.Redirect.S10
> 
> 
> Point #1 - I agree that we need a redirect resource with the full path
> behavior. However, we also need a type of redirect resource 
> that does NOT
> have the path behavior. In other words, I am asking that we 
> have two types
> of redirect resource.

Fair enough.  BTW, did you have an idea what to call these two kinds
of redirect references?

> Point #2 - 
> In Windows when you set an ACL on a collection inheritance is 
> done at the
> time the ACL is set. 

In this case, I don't see that the BIND operation will ever be implemented
by the Windows file system, since it would be incorrect to make a resource
unreadable by a principal just because *one* of the collections that
contains it is unreadable by that principal.  One reason that Unix does do
the ACL search
through each directory is that it does support the BIND operation to
files (although not to directories).

Note: The fact that BIND is unlikely
to be implemented on the Windows file system does not lead me to believe
that we should not standardize a BIND operation in the protocol,
although it does mean that we should keep it optional (:-).

Cheers,
Geoff